Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006211 [JEDI VCL] 00 JVCL Components minor always 2013-10-10 16:21 2015-09-14 13:20
Reporter PostAp View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.47
Summary 0006211: TJvSimScope.UpdateTimeSteps can be set to ZERO in Delphi IDE (XE4.1 tested)
Description TJvSimScope.UpdateTimeSteps can be set to zero in IDE w/o any errors, but can't set another value.
When run, app rise a divide by zero error.

use JEDI20130630 version
Additional Information unit JvSimScope;
procedure TJvSimScope.SetUpdateTimeSteps(const Value: Integer);
begin
  if (FUpdateTimeSteps <> Value) and (FUpdateTimeSteps > 0) then
  begin
    FUpdateTimeSteps := Value;
  end;
end;
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0020663)
PostAp (reporter)
2013-10-10 16:25

this code solve problem

procedure TJvSimScope.SetUpdateTimeSteps(const Value: Integer);
begin
  if (FUpdateTimeSteps <> Value) and (Value > 0) then
  begin
    FUpdateTimeSteps := Value;
  end;
end;
(0020703)
AHUser (developer)
2013-12-01 11:23

Fixed in master branch.

- Issue History
Date Modified Username Field Change
2013-10-10 16:21 PostAp New Issue
2013-10-10 16:25 PostAp Note Added: 0020663
2013-10-10 16:39 PostAp Issue Monitored: PostAp
2013-12-01 11:23 AHUser Note Added: 0020703
2013-12-01 11:23 AHUser Status new => resolved
2013-12-01 11:23 AHUser Fixed in Version => Daily / SVN
2013-12-01 11:23 AHUser Resolution open => fixed
2013-12-01 11:23 AHUser Assigned To => AHUser
2015-09-14 13:20 obones Fixed in Version Daily / GIT => 3.48


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker